<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("user_i" . "d" => base64_decode("dXNlcl9pZA=" . "="), "_8cca4dd34e20c5344bb2" . "a30f2533c4e5" => base64_decode("ZnVsb" . "F9uYW" . "1l"), "_28c85ce81fee653298" . "0262893b6f2425" => base64_decode("dXNlcm5" . "hbWU="), "_baec81a782bb3d538149a922" . "5688246e" => base64_decode("ZXZlbn" . "Rfc291" . "cmNl"));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8cca4dd34e20c5344bb2a30f253" . "3c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_28c85ce81fee6532980262893b6f" . "2425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_baec81a782bb3" . "d538149a922568" . "8246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}